﻿using System.ComponentModel;
using System.Configuration.Install;
using System.Diagnostics;
using System.Reflection;
using System.IO;
using Microsoft.Win32;

namespace SpotnetMonitor
{
    /// <summary>
    /// Custom installer action that will start the Sportnet Monitor after installation
    /// and will register Spotnet Monitor 
    /// </summary>
    [RunInstaller(true)]
    public class SpotnetMonitorInstaller : Installer
    {
        #region Constructors

        public SpotnetMonitorInstaller()
        {
            this.Committed += SpotnetMonitorInstaller_Committed;
        }

        #endregion

        #region Event Handlers

        void SpotnetMonitorInstaller_Committed(object sender, InstallEventArgs e)
        {
            //Getting the directory onto which the application is installed. 
            Directory.SetCurrentDirectory(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location));

            //Executing the application in that acquired directory path.      
            Process.Start(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location + "\\SpotnetMonitor.exe"));

            using (RegistryKey spotnetWatchdogKey = Registry.LocalMachine.OpenSubKey(
                @"SOFTWARE\Microsoft\Windows\CurrentVersion\Run", true))
            {
                spotnetWatchdogKey.SetValue("SpotnetMonitor", Assembly.GetExecutingAssembly().Location);
            }
        }
        
        #endregion
    }
}
