﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using SpotnetWatchdog.Entities;

namespace SpotnetWatchdog.Utils
{
    interface IWatchdogRepository
    {
        /// <summary>
        /// A list with possible categories for filtering
        /// </summary>
        List<Category> Categories { get; }

        /// <summary>
        /// Aa list with watch items
        /// </summary>
        ObservableCollection<WatchItem> WatchItems { get; }

        /// <summary>
        /// Persist the watch items
        /// </summary>
        void SaveWatchItems();
    }
}
